visible = 0

function init()
	SetValue("visible", 1.0, "cosine", 0.5)
end

function tick()
	--Put a scripting menu button on the pause menu for all levels, except the main menu
	if not string.find(GetString("game.levelpath"), "main.xml") then
		if PauseMenuButton("Berlin Wall Menu") then
			StartLevel("", "MOD/main.xml")
		end
	end
end


function draw()	
	local path = GetString("game.levelpath")
	if string.find(path, "1961.xml") then
		infoBox("")
	elseif string.find(path, "1963.xml") then
		infoBox("")
	elseif string.find(path, "1966.xml") then
		infoBox("")
	elseif string.find(path, "1975.xml") then
		infoBox("")
	elseif string.find(path, "1989.xml") then
		infoBox("")
	elseif string.find(path, "1990.xml") then
		infoBox("")
	else
		--Print message about making a local copy only if it's not already a local copy
		local localMsg = ""
		if string.sub(GetString("game.mod"), 0, 5) ~= "local" then
			localMsg = "Welcome to the scripting showcase. We recommend making a local copy of this mod so you can more easily view and alter the scripts it uses. "
		end
		infoBox("The Berlin Wall, 'Berliner Mauer', was a barrier that surrounded West Berlin and prevented access to it from East Berlin and adjacent areas of East Germany (German Democratic Republic) from 1961 to 1989. Between 1949 and 1961, around 2.5 to 3.5 million East Germans had fled from East to West Germany (Federal Republic of Germany), including increasing numbers of skilled workers, professionals, and intellectuals. Their loss threatened to destroy the economy of the East German state. In response, East Germany built a barrier to close off East Germans’ access to West Berlin and hence West Germany. The Berlin Wall was first erected on the nights of August 12 - 13, 1961, as the result of a decree passed on August 12 by the East German Volkskammer (Peoples’ Chamber).")
	end
end


function infoBox(txt)
	UiPush()
		UiFont("regular.ttf", 22)
		UiWordWrap(500)

		local w,h = UiGetTextSize(txt)
		UiTranslate(20-600*(1-visible), UiHeight()-h-50)
		UiColor(0,0,0, 0.7)
		UiImageBox("ui/common/box-solid-10.png", w+40, h+30, 10, 10)
		UiTranslate(20, 35)
		
		UiColor(1,1,1)
		UiText(txt)
	UiPop()
end
